package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 入院记录
 * </p>
 *
 * @author wanghn
 * @since 2024-09-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("str_admission_note")
@ApiModel(value="StrAdmissionNote对象", description="入院记录")
public class StrAdmissionNote implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录编号")
    @TableId(value = "rec_id", type = IdType.INPUT)
    private String recId;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "科别")
    private String deptName;

    @ApiModelProperty(value = "病历日期")
    private Date recordDate;

    @ApiModelProperty(value = "标题")
    private String recTitle;

    @ApiModelProperty(value = "出生日期")
    private Date birthday;

    @ApiModelProperty(value = "婚姻状况")
    private String marriage;

    @ApiModelProperty(value = "职业")
    private String jobType;

    @ApiModelProperty(value = "民族")
    private String nation;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "工作单位")
    private String workplace;

    @ApiModelProperty(value = "户口地址")
    private String registerAddress;

    @ApiModelProperty(value = "出生地")
    private String bornAddress;

    @ApiModelProperty(value = "预产期")
    private String expectDate;

    @ApiModelProperty(value = "末次月经")
    private String lastMenstrual;

    @ApiModelProperty(value = "孕/产次")
    private String pregnantNum;

    @ApiModelProperty(value = "入院日期")
    private Date behospitalDate;

    @ApiModelProperty(value = "病史陈述者")
    private String historyTeller;

    @ApiModelProperty(value = "主诉")
    private String chief;

    @ApiModelProperty(value = "现病史")
    private String present;

    @ApiModelProperty(value = "既往史（过去史）")
    private String pastHistory;

    @ApiModelProperty(value = "个人史")
    private String personalHistory;

    @ApiModelProperty(value = "婚育史（婚姻史）")
    private String maritalHistory;

    @ApiModelProperty(value = "月经史")
    private String menstrualHistory;

    @ApiModelProperty(value = "家族史")
    private String familyHistory;

    @ApiModelProperty(value = "喂养史")
    private String feedingHistory;

    @ApiModelProperty(value = "手术外伤史")
    private String operationHistory;

    @ApiModelProperty(value = "输血史")
    private String bloodHistory;

    @ApiModelProperty(value = "传染病史")
    private String infectionHistory;

    @ApiModelProperty(value = "专科检查")
    private String specialVital;

    @ApiModelProperty(value = "辅助检查")
    private String assistantExam;

    @ApiModelProperty(value = "实验室检查")
    private String lisExam;

    @ApiModelProperty(value = "影像学检查")
    private String pacsExam;

    @ApiModelProperty(value = "初步诊断")
    private String tentativeDiagnosis;

    @ApiModelProperty(value = "补充诊断")
    private String supplyDiagnosis;

    @ApiModelProperty(value = "修正诊断")
    private String revisedDiagnosis;

    @ApiModelProperty(value = "记录医生")
    private String recDoctor;

    @ApiModelProperty(value = "记录时间")
    private Date recDate;

    @ApiModelProperty(value = "审核医生")
    private String auditDoctor;

    @ApiModelProperty(value = "审核时间")
    private Date auditDate;

    @ApiModelProperty(value = "体温")
    private String temperature;

    @ApiModelProperty(value = "脉搏")
    private String pulse;

    @ApiModelProperty(value = "呼吸")
    private String breathe;

    @ApiModelProperty(value = "血压")
    private String bloodPressure;

    @ApiModelProperty(value = "疼痛")
    private String pain;

    @ApiModelProperty(value = "体重")
    private String weight;

    @ApiModelProperty(value = "身高")
    private String height;

    @ApiModelProperty(value = "BMI")
    private String bmi;

    @ApiModelProperty(value = "结构化数据")
    private String wholeData;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "记录修改时间")
    private Date gmtModified;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "发热")
    private String fever;

    @ApiModelProperty(value = "咳嗽等呼吸道症状")
    private String coughSymptom;

    @ApiModelProperty(value = "一般健康状态")
    private String healthStatus;

    @ApiModelProperty(value = "内科疾病史")
    private String internalHistory;

    @ApiModelProperty(value = "药物、食物中毒史")
    private String poisoningHistory;

    @ApiModelProperty(value = "长期用药")
    private String chronicMedication;

    @ApiModelProperty(value = "预防接种史")
    private String vaccinationHistory;

    @ApiModelProperty(value = "个人习惯史")
    private String habitHistory;

    @ApiModelProperty(value = "生命体征")
    private String vitalSigns;

    @ApiModelProperty(value = "一般情况")
    private String generalCondition;

    @ApiModelProperty(value = "皮肤")
    private String skin;

    @ApiModelProperty(value = "浅表淋巴结")
    private String lymphNodes;

    @ApiModelProperty(value = "头部")
    private String head;

    @ApiModelProperty(value = "眼")
    private String eyes;

    @ApiModelProperty(value = "瞳孔")
    private String pupil;

    @ApiModelProperty(value = "耳")
    private String ear;

    @ApiModelProperty(value = "鼻")
    private String nose;

    @ApiModelProperty(value = "口腔")
    private String oralCavity;

    @ApiModelProperty(value = "颈部")
    private String neck;

    @ApiModelProperty(value = "甲状腺检查")
    private String thyroid;

    @ApiModelProperty(value = "胸部视诊")
    private String chestInspection;

    @ApiModelProperty(value = "胸部触诊")
    private String chestPalpation;

    @ApiModelProperty(value = "胸部叩诊")
    private String chestPercussion;

    @ApiModelProperty(value = "胸部听诊")
    private String chestAuscultation;

    @ApiModelProperty(value = "乳房")
    private String breast;

    @ApiModelProperty(value = "心脏视诊")
    private String cardiacInspection;

    @ApiModelProperty(value = "心脏触诊")
    private String cardiacPalpation;

    @ApiModelProperty(value = "心脏叩诊")
    private String cardiacPercussion;

    @ApiModelProperty(value = "心脏听诊")
    private String cardiacAuscultation;

    @ApiModelProperty(value = "周围血管")
    private String peripheralVessels;

    @ApiModelProperty(value = "腹部视诊")
    private String abdominalInspection;

    @ApiModelProperty(value = "腹部触诊")
    private String abdominalPalpation;

    @ApiModelProperty(value = "肝触诊")
    private String liverPalpation;

    @ApiModelProperty(value = "胆囊触诊")
    private String gallbladderPalpation;

    @ApiModelProperty(value = "脾触诊")
    private String spleenPalpation;

    @ApiModelProperty(value = "肾触诊")
    private String kidneyPalpation;

    @ApiModelProperty(value = "腹部叩诊")
    private String abdominalPercussion;

    @ApiModelProperty(value = "腹部听诊")
    private String abdominalAuscultation;

    @ApiModelProperty(value = "脊柱")
    private String spine;

    @ApiModelProperty(value = "四肢")
    private String theFourLimbs;

    @ApiModelProperty(value = "颅神经")
    private String cranialNerve;

    @ApiModelProperty(value = "感觉")
    private String feeling;

    @ApiModelProperty(value = "运动")
    private String sports;

    @ApiModelProperty(value = "病理征")
    private String pathologicalSign;

    @ApiModelProperty(value = "脑膜刺激征")
    private String meningealSign;

    @ApiModelProperty(value = "颅神经其它")
    private String nerveOthers;

    @ApiModelProperty(value = "修正医生")
    private String revisedDoctor;

    @ApiModelProperty(value = "修正日期")
    private Date revisedTime;


}
