package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 死亡病例讨论记录
 * </p>
 *
 * @author wanghn
 * @since 2024-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("str_death_discussion")
@ApiModel(value="StrDeathDiscussion对象", description="死亡病例讨论记录")
public class StrDeathDiscussion implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录编号")
    @TableId(value = "rec_id", type = IdType.INPUT)
    private String recId;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "科别")
    private String deptName;

    @ApiModelProperty(value = "病历日期")
    private Date recordDate;

    @ApiModelProperty(value = "标题")
    private String recTitle;

    @ApiModelProperty(value = "入院诊断")
    private String tentativeDiagnosis;

    @ApiModelProperty(value = "死亡诊断")
    private String deathDiagnosis;

    @ApiModelProperty(value = "死亡原因")
    private String deathReason;

    @ApiModelProperty(value = "死亡时间")
    private Date deathDate;

    @ApiModelProperty(value = "讨论时间")
    private Date discussDate;

    @ApiModelProperty(value = "讨论地点")
    private String discussPlace;

    @ApiModelProperty(value = "主持人姓名及专业技术职务")
    private String anchorPosition;

    @ApiModelProperty(value = "参加人员")
    private String participant;

    @ApiModelProperty(value = "病史简介")
    private String briefHistory;

    @ApiModelProperty(value = "讨论内容（具体讨论意见）")
    private String discussionContent;

    @ApiModelProperty(value = "主持人小结")
    private String anchorConclusion;

    @ApiModelProperty(value = "记录医生")
    private String recDoctor;

    @ApiModelProperty(value = "记录时间")
    private Date recDate;

    @ApiModelProperty(value = "审核医生")
    private String auditDoctor;

    @ApiModelProperty(value = "审核时间")
    private Date auditDate;

    @ApiModelProperty(value = "结构化数据")
    private String wholeData;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "记录修改时间")
    private Date gmtModified;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "主持人签名")
    private String anchor;


}
