package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病危通知单
 * </p>
 *
 * @author wanghn
 * @since 2024-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("str_ill_critically")
@ApiModel(value="StrIllCritically对象", description="病危通知单")
public class StrIllCritically implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录编号")
    @TableId(value = "rec_id", type = IdType.INPUT)
    private String recId;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "科别")
    private String deptName;

    @ApiModelProperty(value = "病历日期")
    private Date recordDate;

    @ApiModelProperty(value = "标题")
    private String recTitle;

    @ApiModelProperty(value = "当前诊断")
    private String currentDiagnosis;

    @ApiModelProperty(value = "病情危重情况")
    private String criticalSituation;

    @ApiModelProperty(value = "患者/家属签名")
    private String patientSign;

    @ApiModelProperty(value = "患者/家属签名时间")
    private Date patientSignDate;

    @ApiModelProperty(value = "医生签名")
    private String doctorSign;

    @ApiModelProperty(value = "医生签名时间")
    private Date doctorSignDate;

    @ApiModelProperty(value = "结构化数据")
    private String wholeData;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "记录修改时间")
    private Date gmtModified;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "记录时间")
    private Date recDate;


}
