package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 术后首程
 * </p>
 *
 * @author wanghn
 * @since 2024-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("str_operative_first_record")
@ApiModel(value="StrOperativeFirstRecord对象", description="术后首程")
public class StrOperativeFirstRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录编号")
    private String recId;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "科别")
    private String deptName;

    @ApiModelProperty(value = "病历日期")
    private Date recordDate;

    @ApiModelProperty(value = "标题")
    private String recTitle;

    @ApiModelProperty(value = "手术日期")
    private Date operationDate;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "麻醉方式")
    private String narcosisType;

    @ApiModelProperty(value = "麻醉医师")
    private String narcosisDoctor;

    @ApiModelProperty(value = "术前诊断")
    private String preoperationDiagnosis;

    @ApiModelProperty(value = "术（中）后诊断")
    private String postoperativeDiagnosis;

    @ApiModelProperty(value = "手术人员")
    private String operationMan;

    @ApiModelProperty(value = "手术名称方式")
    private String operationName;

    @ApiModelProperty(value = "手术简要经过")
    private String operationProcess;

    @ApiModelProperty(value = "患者术后情况（病人出手术室时一般情况）")
    private String postoperativeSituation;

    @ApiModelProperty(value = "术后处理措施")
    private String postoperativeTreatment;

    @ApiModelProperty(value = "术后注意事项")
    private String postoperativeNotice;

    @ApiModelProperty(value = "术后可能出现的并发症及预防措施")
    private String postoperativeComplication;

    @ApiModelProperty(value = "手术切除标本")
    private String operationSpecimen;

    @ApiModelProperty(value = "术中出血量")
    private String operationBleed;

    @ApiModelProperty(value = "术中输血量")
    private String operationBloodTransfusion;

    @ApiModelProperty(value = "术中并发症")
    private String operationComplication;

    @ApiModelProperty(value = "记录医生")
    private String recDoctor;

    @ApiModelProperty(value = "记录时间")
    private Date recDate;

    @ApiModelProperty(value = "审核医生")
    private String auditDoctor;

    @ApiModelProperty(value = "审核时间")
    private Date auditDate;

    @ApiModelProperty(value = "结构化数据")
    private String wholeData;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "记录修改时间")
    private Date gmtModified;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "主刀医生")
    private String chiefDoctor;

    @ApiModelProperty(value = "患者/家属签名")
    private String patientSign;


}
