package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 术前讨论小结
 * </p>
 *
 * @author wanghn
 * @since 2024-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("str_preoperative_discussion")
@ApiModel(value="StrPreoperativeDiscussion对象", description="术前讨论小结")
public class StrPreoperativeDiscussion implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录编号")
    @TableId(value = "rec_id", type = IdType.INPUT)
    private String recId;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "科别")
    private String deptName;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "病历日期")
    private Date recordDate;

    @ApiModelProperty(value = "标题")
    private String recTitle;

    @ApiModelProperty(value = "讨论时间")
    private Date discussTime;

    @ApiModelProperty(value = "讨论方式")
    private String discussType;

    @ApiModelProperty(value = "参加人员")
    private String participant;

    @ApiModelProperty(value = "简要病情")
    private String briefNote;

    @ApiModelProperty(value = "术前诊断")
    private String preoperationDiagnosis;

    @ApiModelProperty(value = "手术指征与禁忌")
    private String operationIndication;

    @ApiModelProperty(value = "可替代的方案")
    private String replacePlan;

    @ApiModelProperty(value = "拟施手术方式、名称及可能的变更与禁忌症")
    private String operationName;

    @ApiModelProperty(value = "拟施麻醉方式")
    private String anesthesiaType;

    @ApiModelProperty(value = "术前准备")
    private String preoperationPrepare;

    @ApiModelProperty(value = "主要术中、术后风险及防范措施")
    private String intraoperativeRisk;

    @ApiModelProperty(value = "术中注意事项")
    private String intraoperativeNotice;

    @ApiModelProperty(value = "术后注意事项")
    private String postoperativeNotice;

    @ApiModelProperty(value = "记录医生")
    private String recDoctor;

    @ApiModelProperty(value = "记录时间")
    private Date recDate;

    @ApiModelProperty(value = "审核医生")
    private String auditDoctor;

    @ApiModelProperty(value = "审核时间")
    private Date auditDate;

    @ApiModelProperty(value = "结构化数据")
    private String wholeData;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "记录修改时间")
    private Date gmtModified;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "入院时间")
    private Date behospitalDate;

    @ApiModelProperty(value = "可能出现的问题和对策")
    private String potentialIssues;


}
