package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 转出记录
 * </p>
 *
 * @author wanghn
 * @since 2024-09-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("str_transfer_out_note")
@ApiModel(value="StrTransferOutNote对象", description="转出记录")
public class StrTransferOutNote implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录编号")
    @TableId(value = "rec_id", type = IdType.INPUT)
    private String recId;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "科别")
    private String deptName;

    @ApiModelProperty(value = "病历日期")
    private Date recordDate;

    @ApiModelProperty(value = "标题")
    private String recTitle;

    @ApiModelProperty(value = "转入日期")
    private Date transferInDate;

    @ApiModelProperty(value = "转出科室")
    private String transferOutDept;

    @ApiModelProperty(value = "转入科室")
    private String transferInDept;

    @ApiModelProperty(value = "主诉")
    private String chief;

    @ApiModelProperty(value = "入院情况")
    private String behospitalSituation;

    @ApiModelProperty(value = "目前病情")
    private String currentSituation;

    @ApiModelProperty(value = "入院诊断")
    private String tentativeDiagnosis;

    @ApiModelProperty(value = "诊疗经过")
    private String treatmentProcess;

    @ApiModelProperty(value = "目前诊断")
    private String currentDiagnosis;

    @ApiModelProperty(value = "转入诊疗计划")
    private String treatPlan;

    @ApiModelProperty(value = "记录医生")
    private String recDoctor;

    @ApiModelProperty(value = "记录时间")
    private Date recDate;

    @ApiModelProperty(value = "审核医生")
    private String auditDoctor;

    @ApiModelProperty(value = "审核时间")
    private Date auditDate;

    @ApiModelProperty(value = "结构化数据")
    private String wholeData;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "记录修改时间")
    private Date gmtModified;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "入院时间")
    private Date behospitalDate;

    @ApiModelProperty(value = "转科日期")
    private Date transferDate;

    @ApiModelProperty(value = "用药和其它治疗")
    private String medication;

    @ApiModelProperty(value = "转科原因")
    private String transferReason;

    @ApiModelProperty(value = "注意事项")
    private String note;

    @ApiModelProperty(value = "转运前情况")
    private String transferInSituation;

    @ApiModelProperty(value = "患者签字")
    private String patient;

    @ApiModelProperty(value = "患者签字时间")
    private Date patientTime;


}
