package com.diagbot.vo.str;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 首次病程录
 * </p>
 *
 * @author cy
 * @since 2020-10-09
 */
@Data
public class StrFirstRecordVO  {

    @ApiModelProperty(value = "记录编号")
    @TableId(value = "rec_id", type = IdType.INPUT)
    private String recId;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "科别")
    private String deptName;

    @ApiModelProperty(value = "病历日期")
    private String recordDate;

    @ApiModelProperty(value = "标题")
    private String recTitle;

    @ApiModelProperty(value = "主诉")
    private String chief;

    @ApiModelProperty(value = "现病史")
    private String present;

    @ApiModelProperty(value = "既往史")
    private String pastHistory;

    @ApiModelProperty(value = "查体")
    private String vital;

    @ApiModelProperty(value = "辅检")
    private String assistantExam;

    @ApiModelProperty(value = "病例特点")
    private String caseCharacter;

    @ApiModelProperty(value = "初步诊断")
    private String tentativeDiagnosis;

    @ApiModelProperty(value = "诊断依据")
    private String supplyDiagnosis;

    @ApiModelProperty(value = "鉴别诊断")
    private String revisedDiagnosis;

    @ApiModelProperty(value = "诊疗计划(方案)")
    private String treatPlan;

    @ApiModelProperty(value = "记录医生")
    private String recDoctor;

    @ApiModelProperty(value = "记录时间")
    private String recDate;

    @ApiModelProperty(value = "审核医生")
    private String auditDoctor;

    @ApiModelProperty(value = "审核时间")
    private String auditDate;

    @ApiModelProperty(value = "结构化数据")
    private String wholeData;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private String gmtCreate;

    @ApiModelProperty(value = "记录修改时间")
    private String gmtModified;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "主诊医生")
    private String chiefDoctor;

    @ApiModelProperty(value = "发热")
    private String fever;

    @ApiModelProperty(value = "咳嗽等呼吸道症状")
    private String coughSymptom;

    @ApiModelProperty(value = "入院时使用的治疗性药物")
    private String entryMedication;

    @ApiModelProperty(value = "成瘾药物")
    private String addiMedication;

    @ApiModelProperty(value = "入院时间")
    private Date behospitalDate;
}
