package com.diagbot.vo.str;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 出院小结
 * </p>
 *
 * @author cy
 * @since 2020-10-09
 */
@Data
public class StrLeaveHospitalVO {

    @ApiModelProperty(value = "记录编号")
    @TableId(value = "rec_id", type = IdType.INPUT)
    private String recId;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "科别")
    private String deptName;

    @ApiModelProperty(value = "病历日期")
    private String recordDate;

    @ApiModelProperty(value = "标题")
    private String recTitle;

    @ApiModelProperty(value = "入院日期")
    private String behospitalDate;

    @ApiModelProperty(value = "出院日期")
    private String leaveHospitalDate;

    @ApiModelProperty(value = "入院诊断")
    private String tentativeDiagnosis;

    @ApiModelProperty(value = "出院诊断")
    private String leaveDiagnosis;

    @ApiModelProperty(value = "住院天数")
    private String behospitalDayNum;

    @ApiModelProperty(value = "入院原因")
    private String behospitalReason;

    @ApiModelProperty(value = "入院情况")
    private String behospitalSituation;

    @ApiModelProperty(value = "诊治经过")
    private String treatmentProcess;

    @ApiModelProperty(value = "出院情况")
    private String leaveHospitalSituation;

    @ApiModelProperty(value = "出院医嘱")
    private String leaveHospitalDoctoradvice;

    @ApiModelProperty(value = "记录医生")
    private String recDoctor;

    @ApiModelProperty(value = "记录时间")
    private String recDate;

    @ApiModelProperty(value = "审核医生")
    private String auditDoctor;

    @ApiModelProperty(value = "审核时间")
    private String auditDate;

    @ApiModelProperty(value = "结构化数据")
    private String wholeData;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private String gmtCreate;

    @ApiModelProperty(value = "记录修改时间")
    private String gmtModified;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "主诊医生")
    private String chiefDoctor;

    @ApiModelProperty(value = "出院诊断（中医）")
    private String leaveDiagnosisCh;

    @ApiModelProperty(value = "出院状态")
    private String leaveHospitalCondition;

    @ApiModelProperty(value = "出院去向")
    private String leaveHospitalDisposition;

    @ApiModelProperty(value = "出院带药")
    private String leaveHospitalMedication;

    @ApiModelProperty(value = "食物药物相互作用指导")
    private String foodMedicationAdvice;

    @ApiModelProperty(value = "饮食指导")
    private String foodAdvice;

    @ApiModelProperty(value = "特殊饮食指导")
    private String foodAdviceSpecial;

    @ApiModelProperty(value = "植入物指导")
    private String implantAdvice;

    @ApiModelProperty(value = "其他指导")
    private String otherAdvice;

    @ApiModelProperty(value = "复诊时间")
    private String followDateRecord;

    @ApiModelProperty(value = "复诊地点")
    private String followPlace;

    @ApiModelProperty(value = "复诊目的")
    private String followPurpose;

    @ApiModelProperty(value = "复诊科室")
    private String followDept;

    @ApiModelProperty(value = "NRS2002评分")
    private String followScore;

    @ApiModelProperty(value = "复诊紧急就医")
    private String followEmergency;
}
