package com.diagbot.vo.str;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 手术记录
 * </p>
 *
 * @author cy
 * @since 2020-10-09
 */
@Data
public class StrOperativeNoteVO  {

    @ApiModelProperty(value = "记录编号")
    private String recId;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "科别")
    private String deptName;

    @ApiModelProperty(value = "病历日期")
    private String recordDate;

    @ApiModelProperty(value = "标题")
    private String recTitle;

    @ApiModelProperty(value = "手术日期")
    private String operationDate;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "术前诊断")
    private String preoperationDiagnosis;

    @ApiModelProperty(value = "手术名称")
    private String operationName;

    @ApiModelProperty(value = "术（中）后诊断")
    private String postoperativeDiagnosis;

    @ApiModelProperty(value = "主刀医师")
    private String operationSurgeon;

    @ApiModelProperty(value = "一助")
    private String firstHelping;

    @ApiModelProperty(value = "二助")
    private String secondHelping;

    @ApiModelProperty(value = "麻醉医师")
    private String narcosisDoctor;

    @ApiModelProperty(value = "麻醉方式")
    private String narcosisType;

    @ApiModelProperty(value = "切口类别")
    private String cutType;

    @ApiModelProperty(value = "病理（冰冻）诊断")
    private String pathologicalDiagnosis;

    @ApiModelProperty(value = "是否术中植入物")
    private String isImplants;

    @ApiModelProperty(value = "植入物名称")
    private String implantsName;

    @ApiModelProperty(value = "出血")
    private String bloodLoss;

    @ApiModelProperty(value = "术中所见")
    private String intraoperativeView;

    @ApiModelProperty(value = "术后注意事项")
    private String postoperativeNotice;

    @ApiModelProperty(value = "手术经过及处理")
    private String operationProcess;

    @ApiModelProperty(value = "记录医生")
    private String recDoctor;

    @ApiModelProperty(value = "记录时间")
    private String recDate;

    @ApiModelProperty(value = "审核医生")
    private String auditDoctor;

    @ApiModelProperty(value = "审核时间")
    private String auditDate;

    @ApiModelProperty(value = "结构化数据")
    private String wholeData;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private String gmtCreate;

    @ApiModelProperty(value = "记录修改时间")
    private String gmtModified;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "入院时间")
    private String behospitalDate;

    @ApiModelProperty(value = "手术时数")
    private String operationTime;

    @ApiModelProperty(value = "处理标本")
    private String specimen;

    @ApiModelProperty(value = "输血情况")
    private String transfusion;

    @ApiModelProperty(value = "红细胞")
    private String redBlood;

    @ApiModelProperty(value = "血小板")
    private String platelet;

    @ApiModelProperty(value = "血浆")
    private String Plasma;

    @ApiModelProperty(value = "全血")
    private String wholeBlood;
}
