package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrAdmissionNote;
import com.diagbot.facade.StrAdmissionNoteFacade;
import com.diagbot.vo.str.StrAdmissionNoteVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 入院记录 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/AdmissionNote")
@Api(value = "入院记录相关API", tags = { "入院记录相关API" })
public class StrAdmissionNoteController {

    @Autowired
    private StrAdmissionNoteFacade strAdmissionNoteFacade;

    @ApiOperation("新增或修改入院记录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrAdmissionNoteVO> sendAdmissionNoteNoteInfos(@RequestBody StrAdmissionNote strAdmissionNote){
        return strAdmissionNoteFacade.sendAdmissionNoteNoteInfos(strAdmissionNote);
    }

}
