package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrBloodResult;
import com.diagbot.facade.StrBloodResultFacade;
import com.diagbot.vo.str.StrBloodResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 输血效果评价 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/BloodResult")
@Api(value = "输血记录相关API", tags = { "输血记录相关API" })
public class StrBloodResultController {

    @Autowired
    private StrBloodResultFacade strBloodResultFacade;

    @ApiOperation("新增或修改输血记录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrBloodResultVO> sendBloodResultInfos(@RequestBody StrBloodResult strBloodResult){
        return strBloodResultFacade.sendBloodResultInfos(strBloodResult);
    }

}
