package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrConsultationApply;
import com.diagbot.facade.StrConsultationApplyFacade;
import com.diagbot.vo.str.StrConsultationApplyVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 会诊申请单 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/ConsultationApply")
@Api(value = "会诊申请单相关API", tags = { "会诊申请单相关API" })
public class StrConsultationApplyController {

    @Autowired
    private StrConsultationApplyFacade strConsultationApplyFacade;

    @ApiOperation("新增或修改会诊申请单基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrConsultationApplyVO> sendConsultationApplyInfos(@RequestBody StrConsultationApply strConsultationApply){
        return strConsultationApplyFacade.sendConsultationApplyInfos(strConsultationApply);
    }

}
