package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrConsultationResult;
import com.diagbot.facade.StrConsultationResultFacade;
import com.diagbot.vo.str.StrConsultationResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 会诊结果单 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/ConsultationResult")
@Api(value = "会诊结果单相关API", tags = { "会诊结果单相关API" })
public class StrConsultationResultController {

    @Autowired
    private StrConsultationResultFacade strConsultationResultFacade;

    @ApiOperation("新增或修改会诊结果单基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrConsultationResultVO> sendConsultationResultInfos(@RequestBody StrConsultationResult strConsultationResult){
        return strConsultationResultFacade.sendConsultationResultInfos(strConsultationResult);
    }
}
