package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrCrisisNote;
import com.diagbot.facade.StrCrisisNoteFacade;
import com.diagbot.vo.str.StrCrisisNoteVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 危急值记录 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/CrisisNote")
@Api(value = "危急值记录相关API", tags = { "危急值记录相关API" })
public class StrCrisisNoteController {

    @Autowired
    private StrCrisisNoteFacade strCrisisNoteFacade;

    @ApiOperation("新增或修改危急值记录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrCrisisNoteVO> sendCrisisNoteInfos(@RequestBody StrCrisisNote strCrisisNote){
        return strCrisisNoteFacade.sendCrisisNoteInfos(strCrisisNote);
    }

}
