package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrFirstRecord;
import com.diagbot.facade.StrFirstRecordFacade;
import com.diagbot.vo.str.StrFirstRecordVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 首次病程录 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/FirstRecord")
@Api(value = "首次病程录相关API", tags = { "首次病程录相关API" })
public class StrFirstRecordController {

    @Autowired
    StrFirstRecordFacade strFirstRecordFacade;

    @ApiOperation("新增或修改首次病程录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrFirstRecordVO> sendFirstRecordInfos(@RequestBody StrFirstRecord strFirstRecord) {
        return strFirstRecordFacade.sendFirstRecordInfos(strFirstRecord);
    }
}
