package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrIllCritically;
import com.diagbot.facade.StrIllCriticallyFacade;
import com.diagbot.vo.str.StrIllCriticallyVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 病危通知单 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/IllCritically")
@Api(value = "病危通知书相关API", tags = { "病危通知书相关API" })
public class StrIllCriticallyController {

    @Autowired
    private StrIllCriticallyFacade strIllCriticallyFacade;

    @ApiOperation("新增或修改病危通知书基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrIllCriticallyVO> sendIllCriticallyInfos(@RequestBody StrIllCritically strIllCritically){
        return strIllCriticallyFacade.sendIllCriticallyInfos(strIllCritically);
    }

}
