package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrIllSeriousl;
import com.diagbot.facade.StrIllSeriouslFacade;
import com.diagbot.vo.str.StrIllSeriouslVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 病重通知单 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/IllSeriousl")
@Api(value = "病重通知单相关API", tags = { "病重通知单相关API" })
public class StrIllSeriouslController {

    @Autowired
    private StrIllSeriouslFacade strIllSeriouslFacade;

    @ApiOperation("新增或修改病重通知单基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrIllSeriouslVO> sendIllSeriouslInfos(@RequestBody StrIllSeriousl strIllSeriousl){
        return strIllSeriouslFacade.sendIllSeriouslInfos(strIllSeriousl);
    }

}
