package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrInvasiveOperativeNote;
import com.diagbot.facade.StrInvasiveOperativeNoteFacade;
import com.diagbot.vo.str.StrInvasiveOperativeNoteVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 有创操作记录 前端控制器
 * </p>
 *
 * @author wanghn
 * @since 2024-09-29
 */
@RestController
@RequestMapping("/str/InvasiveOperativeNote")
@Api(value = "有创操作记录相关API", tags = { "有创操作记录相关API" })
public class StrInvasiveOperativeNoteController {

    @Autowired
    private StrInvasiveOperativeNoteFacade strInvasiveOperativeNoteFacade;

    @ApiOperation("新增或修改有创操作记录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrInvasiveOperativeNoteVO> sendInvasiveOperativeNoteInfos(@RequestBody StrInvasiveOperativeNote strInvasiveOperativeNote){
        return strInvasiveOperativeNoteFacade.sendInvasiveOperativeNoteInfos(strInvasiveOperativeNote);
    }

}
