package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrLeaveHospital;
import com.diagbot.facade.StrLeaveHospitalFacade;
import com.diagbot.vo.str.StrLeaveHospitalVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 出院小结 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/LeaveHospital")
@Api(value = "出院小结相关API", tags = { "出院小结相关API" })
public class StrLeaveHospitalController {

    @Autowired
    private StrLeaveHospitalFacade strLeaveHospitalFacade;

    @ApiOperation("新增或修改出院小结基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrLeaveHospitalVO> sendLeaveHospitalInfos(@RequestBody StrLeaveHospital strLeaveHospital){
        return strLeaveHospitalFacade.sendLeaveHospitalInfos(strLeaveHospital);
    }

}
