package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrOperativeFirstRecord;
import com.diagbot.facade.StrOperativeFirstRecordFacade;
import com.diagbot.vo.str.StrOperativeFirstRecordVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 术后首程 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/OperativeFirstRecord")
@Api(value = "术后首程相关API", tags = { "术后首程相关API" })
public class StrOperativeFirstRecordController {

    @Autowired
    private StrOperativeFirstRecordFacade strOperativeFirstRecordFacade;

    @ApiOperation("新增或修改术后首程基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrOperativeFirstRecordVO> sendOperativeFirstRecordInfos(@RequestBody StrOperativeFirstRecord strOperativeFirstRecord){
        return strOperativeFirstRecordFacade.sendOperativeFirstRecordInfos(strOperativeFirstRecord);
    }
}
