package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrOperativeNote;
import com.diagbot.facade.StrOperativeNoteFacade;
import com.diagbot.vo.str.StrOperativeNoteVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 手术记录 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/OperativeNote")
@Api(value = "手术记录相关API", tags = { "手术记录相关API" })
public class StrOperativeNoteController {

    @Autowired
    private StrOperativeNoteFacade strOperativeNoteFacade;

    @ApiOperation("新增或修改手术记录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrOperativeNoteVO> sendOperativeNoteInfos(@RequestBody StrOperativeNote strOperativeNote){
        return strOperativeNoteFacade.sendOperativeNoteInfos(strOperativeNote);
    }
}
