package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrPeriodConclusion;
import com.diagbot.facade.StrPeriodConclusionFacade;
import com.diagbot.vo.str.StrPeriodConclusionVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 阶段小结 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/PeriodConclusion")
@Api(value = "阶段小结相关API", tags = { "阶段小结相关API" })
public class StrPeriodConclusionController {

    @Autowired
    private StrPeriodConclusionFacade strPeriodConclusionFacade;

    @ApiOperation("新增或修改阶段小结基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrPeriodConclusionVO> sendPeriodConclusionInfos(@RequestBody StrPeriodConclusion strPeriodConclusion){
        return strPeriodConclusionFacade.sendPeriodConclusionInfos(strPeriodConclusion);
    }

}
