package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrPreoperativeDiscussion;
import com.diagbot.facade.StrPreoperativeDiscussionFacade;
import com.diagbot.vo.str.StrPreoperativeDiscussionVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 术前讨论小结 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/PreoperativeDiscussion")
@Api(value = "术前讨论小结相关API", tags = { "术前讨论小结首程相关API" })
public class StrPreoperativeDiscussionController {

    @Autowired
    private StrPreoperativeDiscussionFacade strPreoperativeDiscussionFacade;

    @ApiOperation("新增或修改术前讨论小结基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrPreoperativeDiscussionVO> sendPreoperativeDiscussionInfos(@RequestBody StrPreoperativeDiscussion strPreoperativeDiscussion){
        return strPreoperativeDiscussionFacade.sendPreoperativeDiscussionInfos(strPreoperativeDiscussion);
    }

}
