package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrRescueNote;
import com.diagbot.facade.StrRescueNoteFacade;
import com.diagbot.vo.str.StrRescueNoteVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 抢救记录 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/RescueNote")
@Api(value = "抢救记录相关API", tags = { "抢救记录相关API" })
public class StrRescueNoteController {

    @Autowired
    private StrRescueNoteFacade strRescueNoteFacade;

    @ApiOperation("新增或修改抢救记录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrRescueNoteVO> sendRescueNoteInfos(@RequestBody StrRescueNote strRescueNote){
        return strRescueNoteFacade.sendRescueNoteInfos(strRescueNote);
    }

}
