package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrTransferInNote;
import com.diagbot.facade.StrTransferInNoteFacade;
import com.diagbot.vo.str.StrTransferInNoteVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 转入记录 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/TransferInNote")
@Api(value = "转入记录相关API", tags = { "转入记录相关API" })
public class StrTransferInNoteController {

    @Autowired
    private StrTransferInNoteFacade strTransferInNoteFacade;

    @ApiOperation("新增或修改转入记录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrTransferInNoteVO> sendTransferInNoteInfos(@RequestBody StrTransferInNote strTransferInNote){
        return strTransferInNoteFacade.sendTransferInNoteInfos(strTransferInNote);
    }

}
