package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrTransferOutNote;
import com.diagbot.facade.StrTransferOutNoteFacade;
import com.diagbot.vo.str.StrTransferOutNoteVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 转出记录 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/TransferOutNote")
@Api(value = "转出记录相关API", tags = { "转出记录相关API" })
public class StrTransferOutNoteController {

    @Autowired
    private StrTransferOutNoteFacade strTransferOutNoteFacade;

    @ApiOperation("新增或修改转出记录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrTransferOutNoteVO> sendTransferOutNoteInfos(@RequestBody StrTransferOutNote strTransferOutNote){
        return strTransferOutNoteFacade.sendTransferOutNoteInfos(strTransferOutNote);
    }

}
