package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.StrWardRecord;
import com.diagbot.facade.StrWardRecordFacade;
import com.diagbot.vo.str.StrWardRecordVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 查房记录 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-09-22
 */
@RestController
@RequestMapping("/str/WardRecord")
@Api(value = "查房记录相关API", tags = { "查房记录相关API" })
public class StrWardRecordController {

    @Autowired
    private StrWardRecordFacade strWardRecordFacade;

    @ApiOperation("新增或修改查房记录基本信息")
    @PostMapping("/infos")
    @SysLogger("infos")
    public RespDTO<StrWardRecordVO> sendWardRecordInfos(@RequestBody StrWardRecord strWardRecord){
        return strWardRecordFacade.sendWardRecordInfos(strWardRecord);
    }

}
